Bug 134456 - www/apache22: file permissions are wrong
www/apache22: file permissions are wrong
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: apache
Depends on:
  Show dependency treegraph
Reported: 2009-05-11 09:50 UTC by Philip M. Gollucci
Modified: 2010-05-07 04:20 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci freebsd_committer 2009-05-11 09:50:01 UTC

When installing www/apache22 port from CURRENT some files get installed
with wrong ownership (owned by user that was doing sudo for make
install, not root). Here's the list:

Comment 1 Edwin Groothuis freebsd_committer 2009-05-11 09:50:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2009-06-10 07:18:53 UTC
Responsible Changed
From-To: apache->pgollucci

this can go in the next round
Comment 3 pgollucci 2009-12-11 23:50:34 UTC
This is actually a generic ports infrastructure problem and should be 
solved in Mk/bsd*.mk.

Sending this over to portmgr@ for review.

Philip M. Gollucci (pgollucci@ridecharge.com)
p: 703.549.2050x206, did: 703.579.6947
Senior System Admin - RideCharge, Inc.  http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 4 Philip M. Gollucci freebsd_committer 2009-12-11 23:50:49 UTC
Responsible Changed
From-To: pgollucci->portmgr

Over to maintainer.
Comment 5 pav freebsd_committer 2009-12-13 18:30:07 UTC
Responsible Changed
From-To: portmgr->pgollucci

Quoting WRKSRC/support/Makefile.in: 

@for i in apxs apachectl dbmmanage split-logfile; do  
if test -f "$(builddir)/$$i"; then  
cp -p $$i $(DESTDIR)$(sbindir);  
chmod 755 $(DESTDIR)$(sbindir)/$$i;  
fi ;  

The files are "installed" by cp, chmodded, but never chowned.  That's vendor 
code in your port.  How is this a framework bug?
Comment 6 Philip M. Gollucci freebsd_committer 2009-12-14 06:05:21 UTC
State Changed
From-To: open->analyzed
Comment 7 Philip M. Gollucci freebsd_committer 2010-04-29 19:39:09 UTC
Responsible Changed
From-To: pgollucci->apache

Over to maintainer.
Comment 8 dfilter freebsd_committer 2010-05-07 04:15:53 UTC
pgollucci    2010-05-07 03:15:44 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile 
    www/apache22/files   patch-Makefile.in 
  - Fix the owner to be root:wheel on files* when running sudo make ...
    This doesn't affect the package b/c pointyhat/tb run as root
  PR:             ports/134456
  With Hat:       apache@
  Revision  Changes    Path
  1.260     +2 -1      ports/www/apache22/Makefile
  1.25      +11 -3     ports/www/apache22/files/patch-Makefile.in
  1.2       +3 -1      ports/www/apache22/files/patch-support__Makefile.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Philip M. Gollucci freebsd_committer 2010-05-07 04:16:02 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!